netcat-openbsd is in main but netcat-standard has a netcat dummy package

Bug #1780316 reported by Robert C Jennings
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
netcat (Ubuntu)
Undecided
Steve Langasek
netcat-openbsd (Ubuntu)
Undecided
Unassigned

Bug Description

For installations that don't have netcat-openbsd somewhere in the seed then any package/user that installs 'netcat' will get 'netcat-standard' from universe rather than 'netcat-openbsd' from main. (One example is the ubuntu-fan package that recommends netcat)

Installing the 'netcat' transitional package should provide users a supported package as one exists.

Suggested action:
* Remove the 'netcat' dummy package from the netcat-standard package
* Add a 'netcat' dummy package to the netcat-openbsd package

Revision history for this message
Robert C Jennings (rcj) wrote :

This issue crops up on the Bionic minimal cloud images which don't have netcat-openbsd installed by default (it is in the Xenial image). When docker.io is installed with recommends it pulls in netcat-standard (via ubuntu-fan).

Robert C Jennings (rcj)
description: updated
tags: added: id-5e382d5b22e40a7bf6876a59
tags: added: id-5e388e291224663ce9b79d46
Steve Langasek (vorlon)
Changed in netcat (Ubuntu):
status: New → Fix Committed
assignee: nobody → Steve Langasek (vorlon)
Changed in netcat-openbsd (Ubuntu):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netcat - 1.10-41.1ubuntu1

---------------
netcat (1.10-41.1ubuntu1) focal; urgency=medium

  * Drop the netcat transitional package, moved to netcat-openbsd in Ubuntu.
    LP: #1780316.

 -- Steve Langasek <email address hidden> Mon, 09 Mar 2020 11:55:57 -0700

Changed in netcat (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netcat-openbsd - 1.206-1ubuntu1

---------------
netcat-openbsd (1.206-1ubuntu1) focal; urgency=medium

  * Move the netcat transitional package here and have it depend on the
    preferred netcat-openbsd implementation of netcat, not
    netcat-traditional. LP: #1780316.

 -- Steve Langasek <email address hidden> Mon, 09 Mar 2020 11:50:15 -0700

Changed in netcat-openbsd (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers